> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an ElevenLabs voice to collection and database

> Adds a voice to the Feather ElevenLabs account collection, then upserts a single AvailableVoice row for the given model and languageId.



## OpenAPI

````yaml post /api/v1/admin/elevenlabs-voices
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/admin/elevenlabs-voices:
    post:
      tags:
        - Configuration
      summary: Add an ElevenLabs voice to collection and database
      description: >-
        Adds a voice to the Feather ElevenLabs account collection, then upserts
        a single AvailableVoice row for the given model and languageId.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                voiceId:
                  type: string
                  minLength: 1
                languageId:
                  type: string
                  format: uuid
                model:
                  type: string
                  enum:
                    - eleven_flash_v2
                    - eleven_flash_v2_5
                    - eleven_multilingual_v2
                publicUserId:
                  type: string
                  minLength: 1
                name:
                  type: string
                  minLength: 1
              required:
                - voiceId
                - languageId
                - model
      responses:
        '201':
          description: Voice added successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  voice:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                        nullable: true
                      voiceId:
                        type: string
                      voiceSampleUrl:
                        type: string
                      photoUrl:
                        type: string
                        nullable: true
                      provider:
                        type: string
                        enum:
                          - DEEPGRAM
                          - CARTESIA
                          - AMAZON
                          - ELEVEN_LABS
                          - PLAY_HT
                          - RIME
                          - OPENAI
                          - INWORLD
                          - SESAME
                      model:
                        type: string
                      gender:
                        type: string
                        enum:
                          - MALE
                          - FEMALE
                      languages:
                        type: string
                      accent:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      languageId:
                        type: string
                    required:
                      - id
                      - name
                      - description
                      - voiceId
                      - voiceSampleUrl
                      - photoUrl
                      - provider
                      - model
                      - gender
                      - languages
                      - accent
                      - createdAt
                      - updatedAt
                      - languageId
                  elevenLabsVoiceId:
                    type: string
                  addedToCollection:
                    type: boolean
                required:
                  - voice
                  - elevenLabsVoiceId
                  - addedToCollection
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Voice not found in ElevenLabs voice library
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````